Bug 171777 - Curl hangs when given a zero length file as a form value
Curl hangs when given a zero length file as a form value
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: curl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
Blocks: 189992 FAST4.5APPROVED
  Show dependency treegraph
Reported: 2005-10-26 06:47 EDT by Bastien Nocera
Modified: 2013-07-02 19:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0243
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 18:45:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
curl-7.15.0-zeropost.patch (515 bytes, patch)
2005-10-26 06:47 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-10-26 06:47:31 EDT
$ touch /tmp/order_ids
$ curl -F "order_ids=</tmp/order_ids" --location http://blah.blah/foo
<curl will hang at that point>

The upstream bug is at:

Also attached the upstream patch.
Comment 1 Bastien Nocera 2005-10-26 06:47:31 EDT
Created attachment 120402 [details]
Comment 16 Red Hat Bugzilla 2007-05-01 18:45:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.